Skip to main content
Resource Center/VMware Management/vCenter Operations
PUTvCenter OperationsSince 2.2SynchronousAuth Required

SyncVCenter

SyncVCenter

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The vCenter UUID.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • skippedResourcesSkippedResourcesRequired

    For more information, see skippedResources.

    • vmInstancesSetRequired

      For more information, see vmInstances.

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • descriptionString

        Optional. The detailed description of the resource.

      • zoneUuidStringRequired

        The zone UUID.

      • clusterUuidStringRequired

        The cluster UUID.

      • imageUuidStringRequired

        The image UUID.

      • hostUuidStringRequired

        The host UUID.

      • lastHostUuidStringRequired

        最近一次主机UUID。

      • instanceOfferingUuidStringRequired

        The instance offering UUID.

      • rootVolumeUuidStringRequired

        The root volume UUID.

      • platformStringRequired

        平台。

      • architectureStringRequired

        The architecture type.

      • defaultL3NetworkUuidStringRequired

        No description provided.

      • typeStringRequired

        类型。

      • hypervisorTypeStringRequired

        No description provided.

      • memorySizeLongRequired

        内存大小。

      • cpuNumIntegerRequired

        No description provided.

      • cpuSpeedLongRequired

        No description provided.

      • allocatorStrategyStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation time.

      • lastOpDateTimestampRequired

        The last operation time.

      • stateStringRequired

        当前状态。

      • guestOsTypeStringRequired

        The operating system type.

      • vmNicsListRequired

        For more information, see vmNics.

        • uuidStringRequired

          The resource UUID.

        • vmInstanceUuidStringRequired

          The VM instance UUID.

        • l3NetworkUuidStringRequired

          The L3 network UUID.

        • ipStringRequired

          The IP address.

        • macStringRequired

          The MAC address.

        • hypervisorTypeStringRequired

          The hypervisor type.

        • netmaskStringRequired

          The sub network mask.

        • gatewayStringRequired

          The gateway.

        • metaDataStringRequired

          元数据。

        • ipVersionIntegerRequired

          The IP address.

        • deviceIdIntegerRequired

          The device ID.

        • typeStringRequired

          The NIC type.

        • createDateTimestampRequired

          The creation time.

        • lastOpDateTimestampRequired

          The last operation time.

        • usedIpsListRequired

          For more information, see usedIps.

          • uuidStringRequired

            The resource UUID.

          • ipRangeUuidStringRequired

            The IP range UUID.

          • l3NetworkUuidStringRequired

            The L3 network UUID.

          • ipVersionIntegerRequired

            The IP version.

          • ipStringRequired

            The IP address.

          • netmaskStringRequired

            The network mask.

          • gatewayStringRequired

            The gateway address

          • usedForStringRequired

            已使用用于。

          • ipInLonglongRequired

            No description provided.

          • vmNicUuidStringRequired

            The UUID of the VM instance NIC.

          • createDateTimestampRequired

            The creation time.

          • lastOpDateTimestampRequired

            The last operation time.

      • allVolumesListRequired

        For more information, see allVolumes.

        • uuidStringRequired

          The resource UUID.

        • nameStringRequired

          The resource name.

        • descriptionString

          Optional. The detailed description of the resource.

        • primaryStorageUuidStringRequired

          The primary storage UUID.

        • vmInstanceUuidStringRequired

          The VM instance UUID.

        • diskOfferingUuidStringRequired

          The disk offering UUID.

        • rootImageUuidStringRequired

          The root image UUID.

        • installPathStringRequired

          The mount path of the volume on the primary storage.

        • typeStringRequired

          The volume type, including data volume and root volume.

        • formatStringRequired

          The volume format.

        • sizeLongRequired

          The volume size.

        • actualSizeLongRequired

          The volume actual size.

        • deviceIdIntegerRequired

          设备ID。

        • stateStringRequired

          The running state of the volume.

        • statusStringRequired

          The ready status of the volume.

        • createDateTimestampRequired

          The creation time.

        • lastOpDateTimestampRequired

          Th last operation time.

        • isShareableBooleanRequired

          The sharing mode of the volume.

        • volumeQosStringRequired

          The volume QoS. Syntax sample: total=1048576

      • vmCdRomsListRequired

        For more information, see vmCdRoms.

        • uuidStringRequired

          The resource UUID.

        • vmInstanceUuidStringRequired

          The VM instance UUID.

        • deviceIdIntegerRequired

          The drive sequence number.

        • isoUuidStringRequired

          The ISO image UUID.

        • isoInstallPathStringRequired

          The mount path of the ISO image.

        • nameStringRequired

          The resource name.

        • descriptionString

          Optional. The detailed description of the resource.

        • createDateTimestampRequired

          The creation time.

        • lastOpDateTimestampRequired

          The last operation time.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/vcenters/{uuid}/actions

/zstack/v1/vcenters/{uuid}/actions

Operation ID

SyncVCenter

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vcenters/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "skippedResources": { "vmInstances": [ { "uuid": "example", "name": "exampleVm" } ] } }

Change History

This API has no change history records yet.

View all change history